name='hlna-git'
version='a5cba00'
release='1'
desc='Этот инструмент позволяет управлять выделенным сервером ARK: Survival Evolved на Linux. Он предоставляет множество функций, чтобы получить полный список, ознакомьтесь с разделом использования. (находится в разарботке и может содержать ошибки)'
homepage='https://gitflic.ru/project/xpamych/dodo-manager'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('hlna')
conflicts=('hlna')

deps=('python3, python3-pip, steamcmd')
deps_arch=('python, python-pip, steamcmd')

sources=("git+https://gitflic.ru/project/xpamych/hlna.git")
checksums=('SKIP')

prepare() {
    pip install --upgrade click colorama pyTelegramBotAPI
}

package() {
	install -Dm755 "${srcdir}/hlna/hlna.py" "${pkgdir}/usr/bin/hlna"
    install -Dm755 "${srcdir}/hlna/hlna-bot.py" "${pkgdir}/usr/bin/hlna-bot"
	install -Dm644 "${srcdir}/hlna/LICENSE.md" "${pkgdir}/usr/share/licenses/hlna/license"
}
